Package org.gradle.tooling.model

## Interface SourceDirectory

- All Known Subinterfaces:
    `EclipseSourceDirectory`, `IdeaSourceDirectory`

      public interface SourceDirectory

  Represents a source directory.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getDirectory()` | Returns the source directory.

- - ### Method Detail

    - #### getDirectory

          java.io.File getDirectory()

      Returns the source directory.
      Returns:
        The source directory.